> ## Documentation Index
> Fetch the complete documentation index at: https://docs.postonce.to/llms.txt
> Use this file to discover all available pages before exploring further.

# List accounts

> Returns all social accounts owned by the API key profile, including disconnected accounts.



## OpenAPI

````yaml /openapi/public-api.yaml get /v1/accounts
openapi: 3.1.0
info:
  title: PostOnce Public API
  version: 1.0.0-alpha
  description: Public API for PostOnce paid users
servers:
  - url: https://postonce.to/api/public
security:
  - bearerAuth: []
paths:
  /v1/accounts:
    get:
      summary: List accounts
      description: >-
        Returns all social accounts owned by the API key profile, including
        disconnected accounts.
      responses:
        '200':
          description: Accounts returned successfully.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Account'
        '401':
          description: Missing, invalid, revoked, or expired API key.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AuthErrorResponse'
components:
  schemas:
    Account:
      type: object
      properties:
        id:
          type: string
        platform:
          type: string
          enum:
            - bluesky
            - facebook
            - instagram
            - linkedin
            - pinterest
            - reddit
            - snapchat
            - threads
            - tiktok
            - twitter
            - youtube
          example: twitter
        username:
          type: string
          example: nigelyong
        avatar_url:
          type: string
          nullable: true
        status:
          type: string
          enum:
            - active
            - auth_required
            - disconnected
          example: active
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
    AuthErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              example: invalid_api_key
            message:
              type: string
              example: Invalid API key.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key

````